﻿using System;
using System.Reflection;
using System.Diagnostics.CodeAnalysis;

using System.Drawing;

using SdlDotNet.Core;
using SdlDotNet.Input;
using SdlDotNet.Graphics;
using Tao.OpenGl;
using System.Collections.Generic;

using Tao.Lua;


namespace SPS2
{
    class SPS2Main
    {
        [STAThread]
        public static void Main()
        {
            SPS2 main = SPS2.Instance;

            string[] args = Environment.GetCommandLineArgs();
            if (args.Length > 1)
            {
                main.Load(args[1]);
                main.Reshape();
                main.InitGL();
                Events.Run();
            }
            else
            {
                Console.WriteLine("usage: sps2 [filename.lua]");
            }
        }
    
    }

}
